Description

A strange .dms file is returned back by the browser when uploading a file into the workspace by using:

Safari v. 11

the upload button into the workspace application.

If the drag & drop option is used this behavior is not present. 

History

#1 - Oct 03, 2018 12:28 PM - Leonardo Candela

- File workspaceUploadServletStream-4.dms added

- Assignee changed from Leonardo Candela to Francesco Mangiacrapa

Dunno why this ticket was assigned to me. Moreover, dunno if we can do anything on this type of issue.

#2 - Nov 06, 2018 02:25 PM - Massimiliano Assante

- Tracker changed from Support to Incident

- Project changed from 24 to D4Science Infrastructure

- Due date set to Nov 30, 2018

- Category set to Application

- Priority changed from Low to Normal

- Target version changed from Unsprintable to No Sprint 

This issue is still happening in Safari if the upload button into the workspace application. It should be fixed

#3 - Nov 09, 2018 05:15 PM - Francesco Mangiacrapa

- Status changed from New to In Progress

- % Done changed from 0 to 100

Analyzing the contents of .dms file, it contains the response returned by the server when the uploading is terminated. Such content is of the kind "OK:

ITEM_ID", "ERROR: ITEM_ID" and so on.. and it can be used by clients to perform any action... at the moment the Workspace code implemented

client side simply ignores the response.

This response returned to the client is ignored (correctly) by other browsers, whereas Safari downloading it as a .dms file.

However, I found a similar strange behaviour regarding Safari and .dms file by googling:

https://discussions.apple.com/thread/8101010

https://forums.macrumors.com/threads/safari-erroneously-adding-dms-extension-to-downloads.2080108/

I just released on preprod (at https://pre.d4science.org/group/pre/workspace) a patch by commenting the code to return the above response simply.

@massimiliano.assante@isti.cnr.it or @leonardo.candela@isti.cnr.it or @pasquale.pagano@isti.cnr.it can you test it?

#4 - Nov 10, 2018 05:44 AM - Leonardo Candela

- % Done changed from 100 to 0
It seems the patch is not working ... just upload a couple of files and continue receiving back the .dms file.

The strange behaviour I notice is that (now?) there is only one file back, i.e. if I upload 3 files in a sequence only one .dms file is stored in my laptop

(those corresponding to the last update) ... every upload overwrites such a file. 

#5 - Nov 12, 2018 05:54 PM - Francesco Mangiacrapa

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

I investigated the issue and tried to fix it but unfortunately I can't because the "issue" seems to be related to GWT Form Panel.

When an uploading is terminated, the GWT Form Panel fires an event (addSubmitCompleteHandler) and also commented the event a .dms file (in

this case empty) is downloaded by Safari.

However, the issue is happening only with Safari (and not with Firefox, Chrome and Chromium).

In the future, I will implement the FORM panel through pure javascript and this will fix the issue (I hope definitively). I'm going to close this ticket and

open a new dedicated one then

Files

workspaceUploadServletStream-4.dms 39 Bytes Oct 03, 2018 Leonardo Candela
